import { AfterViewInit, ElementRef, OnInit, Renderer2 } from "@angular/core";
import { ControlValueAccessor, FormControl, Validator } from "@angular/forms";
export declare class QMSRichText implements OnInit, AfterViewInit, ControlValueAccessor, Validator {
    private elRef;
    private renderer;
    isDisabled: boolean;
    required: boolean;
    placeholder: string;
    _value: string;
    Editor: any[];
    configEditor: {
        placeholder: string;
        toolbar: {
            items: string[];
        };
        alignment: {
            options: string[];
        };
    };
    constructor(elRef: ElementRef, renderer: Renderer2);
    onChange: (_value: any) => void;
    onTouched: () => void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onChanged({ editor }: {
        editor: any;
    }): void;
    onBlur({ editor }: {
        editor: any;
    }): void;
    validate(c: FormControl): {
        type: {
            valid: boolean;
            actual: any;
        };
    };
    onReady(editor: any): void;
    private initEditor;
}
